
port: 7890
allow-lan: true
mode: rule
log-level: info
unified-delay: true
global-client-fingerprint: chrome
dns:
  enable: true
  listen: :53
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver: 
    - 223.5.5.5
    - 8.8.8.8
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
  fallback:
    - https://1.0.0.1/dns-query
    - tls://dns.google
  fallback-filter:
    geoip: true
    geoip-code: CN
    ipcidr:
      - 240.0.0.0/4

proxies:
- name: vless-reality-vision-jph2-20250226132439f9f393               
  type: vless
  server: 156.246.89.178                           
  port: 51283                                
  uuid: eea3fa8a-fd32-4eb2-b5fb-fb614debecd9   
  network: tcp
  udp: true
  tls: true
  flow: xtls-rprx-vision
  servername: www.yahoo.com                 
  reality-opts: 
    public-key: G-LBMdw8sNg2GDN4PfBkxuHW7EiY-jwdTnifpxZmHAo    
    short-id: ca3d8548                    
  client-fingerprint: chrome                  

- name: vmess-ws-jph2-20250226132439f9f393                         
  type: vmess
  server: 156.246.89.178                        
  port: 2095                                     
  uuid: eea3fa8a-fd32-4eb2-b5fb-fb614debecd9       
  alterId: 0
  cipher: auto
  udp: true
  tls: false
  network: ws
  servername: www.bing.com                    
  ws-opts:
    path: "eea3fa8a-fd32-4eb2-b5fb-fb614debecd9-vm"                             
    headers:
      Host: www.bing.com                     

- name: Argo-vmess-s2-stevenrk2
  type: vmess
  server: www.visa.com.hk
  port: 443
  uuid: d25239f2-9244-4680-bf21-784ddd0ab7e4
  alterId: 0
  cipher: none
  udp: true
  tls: true
  servername: edf.m00.pp.ua
  network: ws
  ws-opts:
    path: /serv00?ed=2048
    headers:
      Host: edf.m00.pp.ua



- name: hysteria2-jph2-20250226132439f9f393                            
  type: hysteria2                                      
  server: 156.246.89.178                               
  port: 16049                                
  password: eea3fa8a-fd32-4eb2-b5fb-fb614debecd9                          
  alpn:
    - h3
  sni: www.bing.com                               
  skip-cert-verify: true
  fast-open: true

- name: tuic5-jph2-20250226132439f9f393                            
  server: 156.246.89.178                      
  port: 55889                                    
  type: tuic
  uuid: eea3fa8a-fd32-4eb2-b5fb-fb614debecd9       
  password: eea3fa8a-fd32-4eb2-b5fb-fb614debecd9   
  alpn: [h3]
  disable-sni: true
  reduce-rtt: true
  udp-relay-mode: native
  congestion-controller: bbr
  sni: www.bing.com                                
  skip-cert-verify: true

proxy-groups:
- name: 负载均衡
  type: load-balance
  url: https://www.gstatic.com/generate_204
  interval: 300
  strategy: round-robin
  proxies:
    - vless-reality-vision-jph2-20250226132439f9f393                              
    - vmess-ws-jph2-20250226132439f9f393
    - hysteria2-jph2-20250226132439f9f393
    - tuic5-jph2-20250226132439f9f393
    - Argo-vmess-s2-stevenrk2

- name: 自动选择
  type: url-test
  url: https://www.gstatic.com/generate_204
  interval: 300
  tolerance: 50
  proxies:
    - vless-reality-vision-jph2-20250226132439f9f393                              
    - vmess-ws-jph2-20250226132439f9f393
    - hysteria2-jph2-20250226132439f9f393
    - tuic5-jph2-20250226132439f9f393
    - Argo-vmess-s2-stevenrk2
    
- name: 🌍选择代理节点
  type: select
  proxies:
    - 负载均衡                                         
    - 自动选择
    - DIRECT
    - vless-reality-vision-jph2-20250226132439f9f393                              
    - vmess-ws-jph2-20250226132439f9f393
    - hysteria2-jph2-20250226132439f9f393
    - tuic5-jph2-20250226132439f9f393
    - Argo-vmess-s2-stevenrk2
rules:
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,🌍选择代理节点
